Payouts
List Payouts
GET
/
v1
/
payouts
List Payouts for the current Business and environment
curl --request GET \
--url https://api.example.com/v1/payouts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/payouts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/payouts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payouts": [
{
"id": "<string>",
"state": "pending_approval",
"beneficiary_id": "<string>",
"bank_account_id": "<string>",
"amount_minor": 123,
"purpose_of_payment": "advertising",
"currency": "<string>",
"external_ref": {},
"idempotency_key": "<string>",
"validator_strategy": "manual",
"environment": "sandbox",
"provider": {},
"provider_payout_id": {},
"rail_ref": {},
"replaces_payout_id": {},
"created_at": "2023-11-07T05:31:56Z",
"beneficiary_name": {},
"beneficiary_type": "person",
"via": {}
}
],
"next_cursor": {}
}Authorizations
Cleff API key issued to a Business that self-registers via POST /v1/registration
Query Parameters
Available options:
pending_approval, approved, rejected, disbursed, failed, returned, canceled, settled, compliance_hold ISO-8601 timestamp; only Payouts with updated_at >= updatedSince are returned. Designed for polling clients.
⌘I
List Payouts for the current Business and environment
